Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp.fonts
Class AFPFontInfo

    java.lang.Object
      org.apache.fop.afp.fonts.AFPFontInfo

public class AFPFontInfo
extends java.lang.Object

FontInfo contains meta information on fonts

Constructor Summary
`AFPFontInfo(AFPFont afpFont, java.util.List tripletList)` Main constructor

Method Summary
`AFPFont` | `getAFPFont()` Returns the afp font
`java.util.List` | `getFontTriplets()` Returns the list of font triplets associated with this font.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AFPFontInfo

    public AFPFontInfo(AFPFont afpFont,
                       java.util.List tripletList)

  Main constructor

Parameters:
  `afpFont` - The AFP Font
  `tripletList` - List of font triplets to associate with this font

Method Detail

### getAFPFont

    public AFPFont getAFPFont()

  Returns the afp font

  Returns:
    the afp font

### getFontTriplets

    public java.util.List getFontTriplets()

  Returns the list of font triplets associated with this font.

  Returns:
    List of font triplets

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.